apiVersion: apps/v1
kind: Deployment
metadata:
  name: takione-hello
  labels:
    app: website
spec:
  replicas: {{ .Values.app.replicaCount }}
  selector:
    matchLabels:
      app: website
  template:
    metadata:
      labels:
        app: website
      annotations:
        checksum/config: {{ include (print $.Template.BasePath "/hello.config.yaml") . | sha256sum }}
    spec:
      imagePullSecrets:
        - name: auth-takione-registry
      containers:
        - name: www
          image: {{ .Values.registry.baseImagePrefix }}/simple-website:{{ .Values.app.imageTag }}
          ports:
            - containerPort: 3000
          env:
            - name: CUSTOM_COLOR
              valueFrom:
                configMapKeyRef:
                  name: takione-hello-config
                  key: CUSTOM_COLOR
            - name: K8S_NODE_NAME
              valueFrom:
                fieldRef:
                  fieldPath: spec.nodeName
            - name: K8S_POD_NAME
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: K8S_POD_IP
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP

